if not mat10 then
    mat10 = true 
    tweak_data.weapon.mac10.CLIP_AMMO_MAX = 32
    tweak_data.weapon.mac10.NR_CLIPS_MAX = 7
    tweak_data.weapon.mac10.auto.fire_rate = 0.05
    tweak_data.weapon.mac10.AMMO_MAX = tweak_data.weapon.mac10.CLIP_AMMO_MAX * tweak_data.weapon.mac10.NR_CLIPS_MAX
    tweak_data.weapon.mac10.AMMO_PICKUP = tweak_data.weapon:_pickup_chance(tweak_data.weapon.mac10.AMMO_MAX, 1)    
end